Read confirmed task progress and success criteria
curl --request GET \
--url https://api.agentsfleet.net/v1/workspaces/{workspace_id}/fleets/{fleet_id}/tasks/{task_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.agentsfleet.net/v1/workspaces/{workspace_id}/fleets/{fleet_id}/tasks/{task_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agentsfleet.net/v1/workspaces/{workspace_id}/fleets/{fleet_id}/tasks/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agentsfleet.net/v1/workspaces/{workspace_id}/fleets/{fleet_id}/tasks/{task_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agentsfleet.net/v1/workspaces/{workspace_id}/fleets/{fleet_id}/tasks/{task_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.agentsfleet.net/v1/workspaces/{workspace_id}/fleets/{fleet_id}/tasks/{task_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agentsfleet.net/v1/workspaces/{workspace_id}/fleets/{fleet_id}/tasks/{task_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"context": {
"accepted_revision_id": "<string>",
"confirmed_effect_watermark": 1,
"covered_input_sequence": 1,
"effect_cursor": 1,
"expires_at": "2023-11-07T05:31:56Z",
"generation": 1,
"goal_digest": "<string>",
"input_sequence": 1,
"limits": {
"decision_calls": 1,
"fallback_reads": 1,
"leases": 1,
"model_nanos": "<string>",
"publications": 1,
"running_seconds": 1,
"wall_seconds": 1
},
"objective": "<string>",
"originating_item_id": "<string>",
"questions": [
{
"name": "<string>",
"question": {
"criteria": {
"false": "<string>",
"true": "<string>"
},
"instructions": "<string>",
"type": "noul"
}
}
],
"state": "ready",
"stop_generation": 1,
"target": {
"kind": "api_only"
},
"task_id": "<string>",
"usage": {
"decision_calls": 1,
"fallback_reads": 1,
"leases": 1,
"model_nanos": "<string>",
"publications": 1,
"reserved_model_nanos": "<string>",
"running_nanos": 1
},
"checkpoint_generation": 1,
"checkpoint_id": "<string>"
},
"etag": "<string>",
"resource_version": 1,
"setup_revision": 1,
"title": "<string>",
"dependency": {
"active": true,
"checks": [
{
"status": "<string>",
"workflow_id": 1,
"conclusion": "<string>",
"run_attempt": 1,
"run_id": 1,
"run_number": 1
}
],
"head": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"publication": {
"effect_id": "<string>",
"expected_head": "<string>",
"ordinal": 1,
"pull_request_url": "<string>",
"state": "prepared",
"tested_tree": "<string>",
"commit": "<string>"
}
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}Fleets
Read confirmed task progress and success criteria
Returns the accepted objective, immutable success criteria, generation and cumulative limits. The strong ETag identifies the current native resource version.
GET
/
v1
/
workspaces
/
{workspace_id}
/
fleets
/
{fleet_id}
/
tasks
/
{task_id}
Read confirmed task progress and success criteria
curl --request GET \
--url https://api.agentsfleet.net/v1/workspaces/{workspace_id}/fleets/{fleet_id}/tasks/{task_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.agentsfleet.net/v1/workspaces/{workspace_id}/fleets/{fleet_id}/tasks/{task_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agentsfleet.net/v1/workspaces/{workspace_id}/fleets/{fleet_id}/tasks/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agentsfleet.net/v1/workspaces/{workspace_id}/fleets/{fleet_id}/tasks/{task_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agentsfleet.net/v1/workspaces/{workspace_id}/fleets/{fleet_id}/tasks/{task_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.agentsfleet.net/v1/workspaces/{workspace_id}/fleets/{fleet_id}/tasks/{task_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agentsfleet.net/v1/workspaces/{workspace_id}/fleets/{fleet_id}/tasks/{task_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"context": {
"accepted_revision_id": "<string>",
"confirmed_effect_watermark": 1,
"covered_input_sequence": 1,
"effect_cursor": 1,
"expires_at": "2023-11-07T05:31:56Z",
"generation": 1,
"goal_digest": "<string>",
"input_sequence": 1,
"limits": {
"decision_calls": 1,
"fallback_reads": 1,
"leases": 1,
"model_nanos": "<string>",
"publications": 1,
"running_seconds": 1,
"wall_seconds": 1
},
"objective": "<string>",
"originating_item_id": "<string>",
"questions": [
{
"name": "<string>",
"question": {
"criteria": {
"false": "<string>",
"true": "<string>"
},
"instructions": "<string>",
"type": "noul"
}
}
],
"state": "ready",
"stop_generation": 1,
"target": {
"kind": "api_only"
},
"task_id": "<string>",
"usage": {
"decision_calls": 1,
"fallback_reads": 1,
"leases": 1,
"model_nanos": "<string>",
"publications": 1,
"reserved_model_nanos": "<string>",
"running_nanos": 1
},
"checkpoint_generation": 1,
"checkpoint_id": "<string>"
},
"etag": "<string>",
"resource_version": 1,
"setup_revision": 1,
"title": "<string>",
"dependency": {
"active": true,
"checks": [
{
"status": "<string>",
"workflow_id": 1,
"conclusion": "<string>",
"run_attempt": 1,
"run_id": 1,
"run_number": 1
}
],
"head": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"publication": {
"effect_id": "<string>",
"expected_head": "<string>",
"ordinal": 1,
"pull_request_url": "<string>",
"state": "prepared",
"tested_tree": "<string>",
"commit": "<string>"
}
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}Authorizations
Path Parameters
Response
Task detail
Task detail with immutable success criteria and cumulative progress.